Bug 803630 - the file name of sysreport/test.wav should be from attachment tag in xml.gz result package
the file name of sysreport/test.wav should be from attachment tag in xml.gz r...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pengfei Xue
:
Depends On: 734577
Blocks: 733411
  Show dependency treegraph
 
Reported: 2012-03-15 05:57 EDT by Pengfei Xue
Modified: 2012-06-06 01:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 01:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pengfei Xue 2012-03-15 05:57:52 EDT
Description of problem:

Now, the file name of sysreport(attachments for info test) and test.wav(audio test) are hard coded, we should retrieve them using xsl with their actual name for gzipped result packages.
Comment 1 Rob Landry 2012-03-15 11:36:04 EDT
This could also replace the sysreport.cgi and test.wav.cgi as the the attachment extra cgi can replace both?
Comment 2 Wei Shen 2012-03-25 22:48:05 EDT
Created attachment 572615 [details]
the patch based on 734577's patch
Comment 3 Wei Shen 2012-03-26 00:20:57 EDT
Created attachment 572625 [details]
the patch using truncate
Comment 5 Pengfei Xue 2012-03-30 07:53:16 EDT
Created attachment 573970 [details]
new patch

put test.wav and sysreport xpath, filename etc. into extra_attachments table for gz format packages
Comment 10 Wei Shen 2012-04-23 02:11:41 EDT
verified on web2
Comment 17 Wei Shen 2012-05-17 23:46:12 EDT
check edit->preference->applications and search wav format, it should be use movie player, then ff3.6 can be ok
Comment 18 Wei Shen 2012-05-23 06:05:22 EDT
verified on partner

Note You need to log in before you can comment on or make changes to this bug.